http {
  server {
    listen 80 default_server;
    server_name _;
    return 301 https://$host$request_uri;
  }
  server {
    listen 443 ssl;
    index index.html;
    include       /etc/nginx/mime.types;
    proxy_set_header        Host $http_host;

    ssl_certificate /etc/letsencrypt/live/rightplant.biospherecapital.com/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/rightplant.biospherecapital.com/privkey.pem;
    ssl_trusted_certificate /etc/letsencrypt/live/rightplant.biospherecapital.com/chain.pem;

    location / {
        root /etc/nginx/html/build;
    }
    
    location /staticfiles {
        root /etc/nginx/html/;
    }

    location ~* ^/(api|admin) {
      proxy_pass http://backend:8000;
    }
  }
}


events {
    # configuration of connection processing
}
